/* error.h */

#ifndef ERROR_H_
#define ERROR_H_

#include <errno.h>

extern int errno;

enum Error {
    ERR_NONE = 0,
    ERR_LEX,
    ERR_PARSE,
    ERR_EXEC,
    ERR_RAISE,
    ERR_BREAK,
    ERR_RETURN,
    ERR_TOPLEVEL,
    ERR_INTR,
};

extern enum Error the_error;
extern char *the_error_message;
extern void no_error ();
extern void set_error ();
extern void set_fixed_error ();	  /* if message is a fixed one -> no mstrdup */
extern void set_error_errno ();
extern void set_error_list ();
extern void set_error_list_errno ();

#endif /* ERROR_H_ */
