/* hash.h */

#ifndef HASH_H_
#define HASH_H_

#define HASH_DEFAULT_SIZE	107

typedef struct Bucket Bucket;
struct Bucket {
    Bucket *next;
    char *key;
    char *data;
};

typedef struct Hashtable Hashtable;
struct Hashtable {
    Bucket *bucket_array;
    int nb_buckets;
};

extern void free_Bucket ();

extern Hashtable *new_hashtable ();
extern Bucket *search_hashtable ();
extern Bucket *delete_hashtable ();
extern Bucket *insert_hashtable ();

#endif /* HASH_H_ */
