/* list.h */

#ifndef LIST_H_
#define LIST_H_


typedef struct List List;
struct List {
    List *next;
    char *arg;
};

extern List *snew_List ();
extern List *scopy_of_list ();
extern int nbargs_list ();
extern List *append_lists ();
extern List *sconcat_lists (); /* may raise an error */
extern List *new_List ();
extern void free_List ();
extern List *permanent_copy_of_list ();
extern void free_permanent_list ();

extern void print_list ();

#endif /* LIST_H_ */
