/* screen.h */

#ifndef SCREEN_H_
#define SCREEN_H_

typedef struct State State;
struct State {
    long pos_x;
    long pos_y;
    long trans_x;
    long trans_y;
    long orig_x;
    long orig_y;
    long lastmove_x;
    long lastmove_y;
    int mapping_mode;
    int warped;
    int newcoo; /* redraw the coos */
};

extern State *state;
extern State *previous_state;

extern int flag_nocoo;

extern void reprint_screen ();			      /* flag : 0=new, 1=all */
extern void print_coo ();
extern void position_cursor ();
extern void menu_scroll ();

#endif /* SCREEN_H_ */
