/* variable.h */

#ifndef VARIABLE_H_
#define VARIABLE_H_

#include "list.h"

typedef struct Variable Variable;
struct Variable {
    Variable *next; /* for stacks */
    List *list;
};

extern void init_variable_table ();

extern List *fetch_variable ();	/* interprets $1, and special variables */
extern void set_variable (); /* raw */
extern void store_variable (); /* interprets $1, and special variables */
extern void delete_variable ();

#endif /* VARIABLE_H_ */
