/* funs.h */

#ifndef FUNS_H_
#define FUNS_H_

#include "tree.h"

typedef struct Fun Fun;
struct Fun {
    int inuse;			     /* 1 when this command mustn't be freed */
    int (*builtin_fun) ();		  /* If this is NULL, then use tree. */
    Node *tree;			/* tree == NULL doesn't mean it's a builtin. */
};

extern void init_function_table ();
extern void add_function ();
extern Fun *get_function ();
extern int remove_function ();
extern void free_pending_functions ();

#endif /* FUNS_H_ */
