/* parse.h */

#ifndef PARSE_H_
#define PARSE_H_

#include "tree.h"

extern void init_parser ();

extern void parse_file_begin ();
extern Node *parse_file_next ();
extern void parse_file_end ();

extern Node *parse_string ();

extern void parse_readline_begin ();
extern Node *parse_readline_next ();
extern void parse_readline_end ();

#endif /* PARSE_H_ */
