/* readline.h */

#ifndef READLINE_H_
#define READLINE_H_

extern void (*readline_winch_routine) ();
extern void (*readline_echo_fun) (/* x, char */);
extern void (*readline_setcur_fun) (/* x */);
extern void (*readline_flush_fun) ();
extern void (*readline_begin_fun) ();
extern void (*readline_end_fun) ();
extern int readline_limited;
extern int readline_width;

extern void readline_stdout_echo ();
extern void readline_stdout_setcur ();
extern void readline_stdout_flush ();
extern void readline_stdout_begin ();
extern void readline_stdout_end ();


extern void init_readline ();
extern char *readline ();
extern char *add_history ();

#endif /* READLINE_H_ */
