/* toplevel.h */

#ifndef TOPLEVEL_H_
#define TOPLEVEL_H_


enum toplevel_mode {
    MODE_INTERACT,
    MODE_SHELL,
    MODE_MINISHELL,
    MODE_EXIT,
};

extern enum toplevel_mode mode;	/* read only */
extern enum toplevel_mode newmode;

extern void init_state ();
extern void find_orig_trans ();

extern void toplevel ();
extern void show_message ();


extern int limited_readline_x;
extern int limited_readline_y;
extern void limited_readline_winch_routine ();
extern void limited_readline_echo ();
extern void limited_readline_setcur ();
extern void limited_readline_flush ();
extern void limited_readline_begin ();
extern void limited_readline_end ();


#endif /* TOPLEVEL_H_ */
